"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateAbilityFromPackedRules = exports.generateAbility = exports.AppDomain = exports.AuthTokenType = void 0;
const ability_1 = require("@casl/ability");
const extra_1 = require("@casl/ability/extra");
var AuthTokenType;
(function (AuthTokenType) {
    AuthTokenType["Bearer"] = "Bearer";
    AuthTokenType["Basic"] = "Basic";
})(AuthTokenType = exports.AuthTokenType || (exports.AuthTokenType = {}));
var AppDomain;
(function (AppDomain) {
    AppDomain["MERCHANT"] = "MERCHANT";
    AppDomain["CONSUMER"] = "CONSUMER";
    AppDomain["ADMIN"] = "ADMIN";
    AppDomain["ROUTER"] = "ROUTER";
})(AppDomain = exports.AppDomain || (exports.AppDomain = {}));
function generateAbility(rules) {
    return new ability_1.Ability(rules);
}
exports.generateAbility = generateAbility;
function generateAbilityFromPackedRules(rules) {
    return new ability_1.Ability((0, extra_1.unpackRules)(rules));
}
exports.generateAbilityFromPackedRules = generateAbilityFromPackedRules;
//# sourceMappingURL=auth-type.js.map